Bug 182907 - java/openjdk6: install failure
java/openjdk6: install failure
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD Java mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 18:00 UTC by Larry Rosenman
Modified: 2013-10-12 01:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman 2013-10-11 18:00:00 UTC
see http://www.lerctr.org/~ler/FreeBSD/jdk6-build.txt

cat: /usr/ports/java/openjdk6/work/jdk/src/bsd/doc/man/ja/schemagen.1: No such file or directory
cat: /usr/ports/java/openjdk6/work/jdk/src/bsd/doc/man/ja/serialver.1: No such file or directory
cat: /usr/ports/java/openjdk6/work/jdk/src/bsd/doc/man/ja/wsgen.1: No such file or directory
cat: /usr/ports/java/openjdk6/work/jdk/src/bsd/doc/man/ja/wsimport.1: No such file or directory
cat: /usr/ports/java/openjdk6/work/jdk/src/bsd/doc/man/ja/xjc.1: No such file or directory
if [ -w hotspot.log ] ; then rm -f hotspot.log; fi
if [ "" != "" ] ; then /bin/mv /usr/ports/java/openjdk6/work/build/bsd-amd64-debug/j2sdk-image/man/ja /usr/ports/java/openjdk6/work/build/bsd-amd64-debug/j2sdk-image/man/; cd  /usr/ports/java/openjdk6/work/build/bsd-amd64-debug/j2sdk-image/man && /bin/ln -s  ja; fi

Fix: 

none known to this submitter
How-To-Repeat: try to build java/openjdk6 on 11-CURRENT with SVN 330086
Path: .
Working Copy Root Path: /usr/ports
URL: svn://svn.freebsd.org/ports/head
Relative URL: ^/head
Repository Root: svn://svn.freebsd.org/ports
Repository UUID: 35697150-7ecd-e111-bb59-0022644237b5
Revision: 330086
Node Kind: directory
Schedule: normal
Last Changed Author: olgeni
Last Changed Rev: 330086
Last Changed Date: 2013-10-11 10:55:42 -0500 (Fri, 11 Oct 2013)
Comment 1 Edwin Groothuis freebsd_committer 2013-10-11 18:00:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-java

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Larry Rosenman 2013-10-11 19:44:54 UTC
removing the DEBUG option fixed this for me.

I apparently had both DEBUG and FASTDEBUG set, and they don't work
together.

Mayhaps the port should whine?

Thanks Jung-Uk Kim for the pointer.


-- 
Larry Rosenman                     http://www.lerctr.org/~ler
Phone: +1 214-642-9640                 E-Mail: ler@lerctr.org
US Mail: 108 Turvey Cove, Hutto, TX 78634-5688
Comment 3 dfilter freebsd_committer 2013-10-12 01:31:50 UTC
Author: jkim
Date: Sat Oct 12 00:31:41 2013
New Revision: 330107
URL: http://svnweb.freebsd.org/changeset/ports/330107

Log:
  - Do not allow selecting both DEBUG and FASTDEBUG options. [1]
  - Re-enable -Werror for HotSpot build with GCC.
  - Revert couple of unnecessary local changes to reduce diff.
  - Add inactive pages as availble memory.  Note it is a cosmetic change.
  
  PR:		ports/182907 [1]

Modified:
  head/java/openjdk6-jre/Makefile
  head/java/openjdk6/Makefile
  head/java/openjdk6/files/patch-set

Modified: head/java/openjdk6-jre/Makefile
==============================================================================
--- head/java/openjdk6-jre/Makefile	Fri Oct 11 22:56:23 2013	(r330106)
+++ head/java/openjdk6-jre/Makefile	Sat Oct 12 00:31:41 2013	(r330107)
@@ -1,6 +1,6 @@
 # $FreeBSD$
 
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	java devel
 PKGNAMESUFFIX=	-jre
 

Modified: head/java/openjdk6/Makefile
==============================================================================
--- head/java/openjdk6/Makefile	Fri Oct 11 22:56:23 2013	(r330106)
+++ head/java/openjdk6/Makefile	Sat Oct 12 00:31:41 2013	(r330107)
@@ -3,7 +3,7 @@
 
 PORTNAME=	openjdk6
 PORTVERSION=	b28
-PORTREVISION?=	1
+PORTREVISION?=	2
 CATEGORIES=	java devel
 MASTER_SITES=	${MASTER_SITE_APACHE:S,%SUBDIR%/,ant/binaries/:ant,} \
 		http://download.java.net/openjdk/jtreg/promoted/4.1/b05/:jtreg \
@@ -39,7 +39,9 @@ SOUND_DESC=	Enable sound support
 TZUPDATE_DESC=	Update the time zone data
 
 .if !defined(BUILD_JRE)
-OPTIONS_DEFINE+=DEBUG FASTDEBUG TEST
+OPTIONS_DEFINE+=TEST
+OPTIONS_RADIO=	Debugging
+OPTIONS_RADIO_Debugging=	DEBUG FASTDEBUG
 DEBUG_DESC=	Enable legacy debugging support
 FASTDEBUG_DESC=	Include fastdebug build
 TEST_DESC=	Add support for running regression test
@@ -48,7 +50,7 @@ TEST_DESC=	Add support for running regre
 PKGDEINSTALL=	${WRKDIR}/pkg-deinstall
 PKGINSTALL=	${WRKDIR}/pkg-install
 
-USES=		gmake iconv motif
+USES=		compiler gmake iconv motif
 
 .include <bsd.port.options.mk>
 .include "${.CURDIR}/../openjdk6/Makefile.icedtea"
@@ -117,9 +119,6 @@ MAKE_ENV=	LANG=C LC_ALL=C OS= \
 		MILESTONE=fcs \
 		JDK_UPDATE_VERSION=${UPDATE_VERSION}
 
-# XXX Turn off -Werror from HotSpot.
-MAKE_ENV+=	COMPILER_WARNINGS_FATAL=false
-
 # XXX Turn off parallel build by default.
 _MAKE_JOBS=	#
 MAKE_ENV+=	ALT_PARALLEL_COMPILE_JOBS=${MAKE_JOBS_NUMBER} \
@@ -130,7 +129,6 @@ ALL_TARGET=	debug_build
 OPENJDK_OSARCH=	bsd-${ARCH:S/i386/i586/}-debug
 .else
 OPENJDK_OSARCH=	bsd-${ARCH:S/i386/i586/}
-MAKE_ENV+=	WARNINGS_ARE_ERRORS=-w
 .endif
 
 # disable FASTDEBUG_BUILD by default to improve compile time.
@@ -192,6 +190,13 @@ ICONV_INCLUDE=	-I${LOCALBASE}/include
 ICONV_LIBS=	-L${LOCALBASE}/lib ${ICONV_LIB}
 .endif
 
+.if defined(COMPILER_TYPE) && ${COMPILER_TYPE} == "clang"
+MAKE_ENV+=	COMPILER_WARNINGS_FATAL=false
+.if empty(PORT_OPTIONS:MDEBUG) && empty(PORT_OPTIONS:MFASTDEBUG)
+MAKE_ENV+=	WARNINGS_ARE_ERRORS=-w
+.endif
+.endif
+
 post-extract:
 	@for d in ${COPYDIRS}; do \
 		${MKDIR} `echo ${WRKSRC}/$$d | ${SED} 's/linux/bsd/g;'`; \
@@ -280,7 +285,7 @@ do-install:
 .else
 	@cd ${WRKSRC}/build/${OPENJDK_OSARCH}/j2sdk-image && \
 	    ${COPYTREE_SHARE} . ${STAGEDIR}${PREFIX}/openjdk6 \
-	    "! ( -type d -name bin -prune )"
+	    "-not ( -type d -name bin -prune )"
 	@cd ${WRKSRC}/build/${OPENJDK_OSARCH}/j2sdk-image && \
 	    ${COPYTREE_BIN} "bin jre/bin" ${STAGEDIR}${PREFIX}/openjdk6
 	@cd ${WRKSRC}/build/${OPENJDK_OSARCH}/j2sdk-image && \

Modified: head/java/openjdk6/files/patch-set
==============================================================================
--- head/java/openjdk6/files/patch-set	Fri Oct 11 22:56:23 2013	(r330106)
+++ head/java/openjdk6/files/patch-set	Sat Oct 12 00:31:41 2013	(r330107)
@@ -266,17 +266,6 @@
  endif
  
  # _BOOTDIR1: First choice for a Bootstrap JDK, previous released JDK.
---- corba/make/common/shared/Defs-java.gmk
-+++ corba/make/common/shared/Defs-java.gmk
-@@ -38,7 +38,7 @@
-   #   Suspect this may not be needed anymore.
-   JAVA_MEM_FLAGS   += -Xms$(MAX_VM_MEMORY)m -XX:-Inline
- else
--  JAVA_MEM_FLAGS   += -Xms$(MIN_VM_MEMORY)m -XX:PermSize=32m -XX:MaxPermSize=160m
-+  JAVA_MEM_FLAGS   += -Xms$(MIN_VM_MEMORY)m
- endif
- 
- # 
 --- corba/make/common/shared/Defs-utils.gmk
 +++ corba/make/common/shared/Defs-utils.gmk
 @@ -53,6 +53,13 @@
@@ -681,14 +670,14 @@
 +  static const char *vm_stats[] = {
 +    "vm.stats.vm.v_free_count",
 +    "vm.stats.vm.v_cache_count",
-+    /* "vm.stats.vm.v_inactive_count", */
-+    NULL
++    "vm.stats.vm.v_inactive_count"
 +  };
 +  size_t size;
 +  julong free_pages;
 +  u_int i, npages;
 +
-+  for (i = 0, free_pages = 0, size = sizeof(npages); vm_stats[i] != NULL; i++) {
++  for (i = 0, free_pages = 0; i < nitems(vm_stats); i++) {
++    size = sizeof(npages);
 +    if (sysctlbyname(vm_stats[i], &npages, &size, NULL, 0) == -1) {
 +      free_pages = 0;
 +      break;
@@ -827,7 +816,7 @@
 +  size_t mibsize, size;
 +  int mib[16], n, total = 0, used = 0;
 +
-+  mibsize = sizeof(mib) / sizeof(mib[0]);
++  mibsize = nitems(mib);
 +  if (sysctlnametomib("vm.swap_info", mib, &mibsize) != -1) {
 +    for (n = 0; ; n++) {
 +      mib[mibsize] = n;
@@ -1713,17 +1702,6 @@
  # Import JDK images allow for partial builds, components not built are
  #    imported (or copied from) these import areas when needed.
  
---- jdk/make/common/shared/Defs-java.gmk
-+++ jdk/make/common/shared/Defs-java.gmk
-@@ -42,7 +42,7 @@
-   #   Suspect this may not be needed anymore.
-   JAVA_MEM_FLAGS   += -Xms$(MAX_VM_MEMORY)m -XX:-Inline
- else
--  JAVA_MEM_FLAGS   += -Xms$(MIN_VM_MEMORY)m -XX:PermSize=32m -XX:MaxPermSize=160m
-+  JAVA_MEM_FLAGS   += -Xms$(MIN_VM_MEMORY)m
- endif
- 
- # 
 --- jdk/make/common/shared/Defs-utils.gmk
 +++ jdk/make/common/shared/Defs-utils.gmk
 @@ -80,6 +80,13 @@
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Jung-uk Kim freebsd_committer 2013-10-12 01:33:17 UTC
State Changed
From-To: open->closed

Now we disallow enabling both DEBUG and FASTDEBUG (r330107).  Thanks!